Subject: Re: [PATCH 3/4] virtio_net: don't free buffers in xmit ring

From: Rusty Russell <[email-masked]>
Date: Tue, 2 Jun 2009 23:37:33 +0930

On Tue, 2 Jun 2009 09:11:42 pm Mark McLoughlin wrote:
> On Tue, 2009-06-02 at 09:13 +0100, Mark McLoughlin wrote:
> > I think skb_orphan() is enough to prevent this, is it?
>
> Oops, I meant:
>
>   I don't think skb_orphan() is enough to prevent this, is it?

Yes, point taken.  No, it's not.  We could add nf_reset here too, which would 
be perfectly sane.

I'm tempted to avoid the question marks hanging over generic skb_orphan for 
now, and just do skb_orphan & nf_reset at the head of our driver.

Then look at making skb_orphan do nf_reset.  It makes sense, but I'd have to 
audit all the callers.

Thanks.
Rusty.